using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.OP
{
    [Description("公告表")]
    public  class T_OP_NOTICE : MesEntityBase
    {
        [Description("公告标题")]
        [FormFieldQuery]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(50)]
        public string NOTICE_TITLE { get; set; }

        [FormFieldQuery]
        [FormFieldTable]
        [FormFieldEdit]
        [Description("公告备注")]
        [DataFieldLength(30)]
        public string REMARK { get; set; }


        [Description("导航：公告内容明细表")]
        public virtual ICollection<T_OP_NOTICE_DETAIL> Nav_NoticeDetails { get; set; }
    }
}
